#include <algorithm>
#include <cstdint>
#include <iostream>

using ll = int64_t;

ll t,n;

int main(){
    std::cin>>t;
    while(t--){
        std::cin>>n;
        ll bobAns{}, bellaAns{}, bobNow{}, bellaNow{};
        for(ll i{1};i<=n;i++){
            ll tmp;
            std::cin>>tmp;
            if(tmp>0){
                bobNow++;
            }else{
                bobAns=std::max(bobAns,bobNow);
                bobNow=0;
            }
        }
        bobAns=std::max(bobAns,bobNow);
        for(ll i{1};i<=n;i++){
            ll tmp;
            std::cin>>tmp;
            if(tmp>0){
                bellaNow++;
            }else{
                bellaAns=std::max(bellaAns,bellaNow);
                bellaNow=0;
            }
        }
        bellaAns=std::max(bellaAns,bellaNow);
        if(bobAns>bellaAns){
            std::cout<<"Bob\n";
        }else if(bellaAns>bobAns){
            std::cout<<"Bella\n";
        }else{
            std::cout<<"Draw\n";
        }
    }
}